# Onkitep

**Onkitep** is an advanced Python library designed for dynamically creating and executing custom functions.

## Features

- **Dynamic Function Creation**: Define one or more functions in a single code string and extract the desired function by name.
- **Function Execution**: Execute any dynamically created function with provided arguments.
- **Validation**: Check if the function code is syntactically correct before execution.

## Installation

Install via pip:

```bash
pip install onkitep
```

Usage Here is an example of how to use Onkitep:

```bash
import onkitep as okp

# Define multiple functions in a single string
code = """
def greet(name):
    return f'Hello, {name}!'

def farewell(name):
    return f'Goodbye, {name}!'
"""

# Create and execute the 'greet' function
greet_func = okp.create_function("greet", code)
print(okp.execute_function(greet_func, "World"))  # Output: Hello, World!

# Create and execute the 'farewell' function
farewell_func = okp.create_function("farewell", code)
print(okp.execute_function(farewell_func, "World"))  # Output: Goodbye, World!
